> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.fohlio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List projects



## OpenAPI

````yaml /swagger.yaml get /projects
openapi: 3.0.1
info:
  title: Fohlio REST API
  description: This is the documentation for the Fohlio REST API.
  version: 1.0.0
servers:
  - url: /openapi
  - url: https://app.fohlio.com/be/openapi
security: []
paths:
  /projects:
    get:
      tags:
        - Project
      summary: List projects
      operationId: projects#list
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            default: 1
          required: false
          description: 'Page #'
        - name: per_page
          in: query
          schema:
            type: integer
            default: 25
            minimum: 1
            maximum: 100
          required: false
          description: Page Size
        - name: updated_since
          in: query
          required: false
          description: Unix Time
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/projects'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
      security:
        - apiKey: []
components:
  schemas:
    projects:
      type: array
      items:
        $ref: '#/components/schemas/project'
    error:
      type: object
      properties:
        error:
          type: string
    project:
      type: object
      properties:
        id:
          type: integer
          description: The unique identifier for the project.
        name:
          type: string
          description: The name of the project.
        code:
          type: string
          nullable: true
          description: The number of the project.
        client:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/contact'
        billing_client:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/contact'
        address:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/address'
        categories:
          type: array
          items:
            $ref: '#/components/schemas/category'
          description: The categories of the project.
        project_currency:
          $ref: '#/components/schemas/projectCurrency'
        project_users:
          type: array
          items:
            $ref: '#/components/schemas/projectUser'
          description: The project users of the project.
    contact:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        data:
          type: object
          additionalProperties: true
          description: The details of the contact encoded in JSON format.
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/contactAddress'
        people:
          type: array
          items:
            $ref: '#/components/schemas/contactPerson'
        categories:
          type: array
          items:
            $ref: '#/components/schemas/contactCategory'
    address:
      type: object
      properties:
        id:
          type: integer
        address_line_1:
          type: string
          nullable: true
        address_line_2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        postal_code:
          type: string
          nullable: true
        region_id:
          type: integer
          nullable: true
    category:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        children:
          type: array
          items:
            $ref: '#/components/schemas/category'
    projectCurrency:
      properties:
        enabled:
          type: boolean
        currency:
          $ref: '#/components/schemas/currency'
        exchange_rates:
          type: array
          items:
            $ref: '#/components/schemas/exchangeRate'
    projectUser:
      type: object
      properties:
        user_id:
          type: integer
        access:
          type: string
          enum:
            - admin
            - view
            - edit
    contactAddress:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        phone:
          type: string
          nullable: true
        post_code:
          type: string
          nullable: true
        address_line_1:
          type: string
          nullable: true
        address_line_2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        priority:
          type: boolean
    contactPerson:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        position:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        priority:
          type: boolean
    contactCategory:
      type: object
      properties:
        id:
          type: integer
        type:
          type: string
          enum:
            - client
            - supplier
            - general_contractor
            - manufacture
            - warehouse
    currency:
      type: object
      properties:
        id:
          type: integer
        iso_code:
          type: string
        name:
          type: string
    exchangeRate:
      properties:
        rate:
          type: number
        exchange_currency:
          $ref: '#/components/schemas/currency'
  securitySchemes:
    apiKey:
      type: apiKey
      name: authorization
      in: header

````